<%@ Page Title="" Language="C#" MasterPageFile="~/SignBox/Site1.Master" AutoEventWireup="true" CodeBehind="ConfirmPickingHandOrder.aspx.cs" Inherits="GxHub.Wms.Abroad.Web.SignBox.ConfirmPickingHandOrder" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
    <script language="javascript" src="../lodop/LodopFuncs.js"></script>
    <object id="LODOP" classid="clsid:2105C259-1E0C-4534-8141-A753534CB4CA" width="0"
        height="0">
        <embed id="LODOP_EM" type="application/x-print-lodop" width="0" height="0" pluginspage="../lodop/install_lodop.exe"></embed>
    </object>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <yee:PageTitle ID="ptTitle" runat="server" Title="拣货单确认">
        <ShortCuts>
            <a href="PickingHandOversList.aspx">返回拣货单列表</a>
        </ShortCuts>
    </yee:PageTitle>
    <yee:MessageBox ID="msg" runat="server">
    </yee:MessageBox>
    <div class="query">
        <table cellpadding="0" cellspacing="0" border="0" class="table">
            <tr>
                <td class="tbpostheader">
                    <%=GetText("仓库") %>
                </td>
                <td class="tbpost">
                    <yee:UserWarehousesDropDownList runat="server" WarehouseType="海外仓储" ID="ddlWare"></yee:UserWarehousesDropDownList>
                </td>
            </tr>

            <tr>
                <td class="tbpostheader">
                    <%=GetText("拣货单号") %>
                </td>
                <td class="tbpost">
                    <asp:TextBox ID="txtOrderNo" runat="server" Font-Size="XX-Large"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td class="tbpostheader"></td>
                <td class="tbpost">
                    <asp:Button ID="btnPickingHand" runat="server" CssClass="button" OnClick="btnPickingHand_Click" Text="扫描拣货单" />
                    <asp:Literal ID="litPickMsg" runat="server"></asp:Literal>
                </td>
            </tr>
        </table>
    </div>
    <div>

        <asp:Button ID="btnSure" runat="server" CssClass="button" Text="拣货单确认" OnClick="btnSure_Click" />
    </div>
    <asp:Repeater ID="rptList" runat="server" OnItemDataBound="rptList_ItemDataBound" OnItemCommand="rptList_ItemCommand">
        <HeaderTemplate>
            <table cellpadding="0" class="table" cellspacing="0" border="0">
                <tr>
                    <td class="tbheader" width="50px">
                        <%=GetText("序号") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("配送单号") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("状态") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("拣货时间") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("拣货员") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("装车时间") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("装车员") %>
                    </td>
                    <td class="tbheader" width="200px">
                        <%=GetText("操作") %>
                    </td>
                </tr>
        </HeaderTemplate>
        <ItemTemplate>
            <tr class="tbrow">
                <td class="tbpost">
                    <%#Eval("number") %>
                </td>
                <td class="tbpost">
                    <%#Eval("OrderNo") %>
                </td>
                <td class="tbpost">
                    <%#Eval("StatuName") %>
                </td>
                <td class="tbpost">
                    <%#Eval("OperationTime") %>
                </td>
                <td class="tbpost">
                    <%#Eval("OperationByName") %>
                </td>
                <td class="tbpost">
                    <%#Eval("CardTime") %>
                </td>
                <td class="tbpost">
                    <%#Eval("CardByName") %>
                </td>
                <td class="tbpost">
                    <asp:LinkButton ID="lbnDetail" runat="server" CommandArgument='<%#Eval("TransnationalId") %>' CommandName="detail" Text="配送详情"></asp:LinkButton>
                    <asp:LinkButton ID="lbnRemove" runat="server" CommandArgument='<%#Eval("UniqueId") %>' CommandName="remove" Text="移除"></asp:LinkButton>
                </td>
            </tr>
        </ItemTemplate>

        <FooterTemplate>
            </table>
        </FooterTemplate>
    </asp:Repeater>
    <asp:HiddenField ID="hfOrderNo" runat="server" ClientIDMode="Static" />
    <script language="javascript" type="text/javascript">

        var LODOP; //声明为全局变量
        function CreateDeliveryByCustomerNew(order_no, name, mobile, address, qcaddress, code, box, weight, size, storage) {

            LODOP = getLodop(document.getElementById('LODOP'), document.getElementById('LODOP_EM'));

            LODOP.PRINT_INITA(0, 0, 378, 227, "");
            LODOP.SET_PRINT_PAGESIZE(0, 1000, 600, "A4");
            LODOP.SET_PRINT_MODE("RESELECT_PRINTER", true);
            //LODOP.ADD_PRINT_SETUP_BKIMG("<img border='0' src='https://img.loda.cc/upload/package/log.bmp'>");
            //LODOP.SET_SHOW_MODE("BKIMG_LEFT", 8);
            //LODOP.SET_SHOW_MODE("BKIMG_TOP", 8);
            //LODOP.SET_SHOW_MODE("BKIMG_PRINT", true);
            LODOP.ADD_PRINT_TEXT(87, 81, 224, 19, mobile);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 13);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(107, 9, 365, 56, "Address：" + address);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.ADD_PRINT_TEXT(65, 82, 225, 24, name);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 13);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(7, 149, 113, 51, qcaddress);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 14);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(66, 13, 68, 20, "Receiver：");
            LODOP.ADD_PRINT_TEXT(87, 12, 67, 20, "Mobile：");
            LODOP.ADD_PRINT_BARCODE(9, 266, 102, 47, "128Auto", order_no);
            LODOP.ADD_PRINT_TEXT(57, 7, 365, 9, "------------------------------------------------------------");
            LODOP.ADD_PRINT_TEXT(161, 8, 359, 9, "------------------------------------------------------------");
            LODOP.ADD_PRINT_LINE(53, 146, 9, 147, 0, 1);
            LODOP.ADD_PRINT_LINE(171, 111, 220, 112, 0, 1);
            LODOP.ADD_PRINT_TEXT(171, 115, 116, 24, code);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 13);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            //LODOP.ADD_PRINT_TEXT(197, 116, 115, 26, box);
            LODOP.ADD_PRINT_TEXT(197, 111, 125, 26, box);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_BARCODE(174, 9, 100, 50, "128Auto", order_no);
            LODOP.ADD_PRINT_TEXT(43, 12, 130, 20, "www.loda.com.kh");
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_LINE(221, 234, 171, 235, 0, 1);
            LODOP.ADD_PRINT_TEXT(198, 238, 131, 25, weight + "KG");
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 11);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(174, 239, 130, 25, size);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 11);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(67, 309, 62, 40, storage);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 26);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.ADD_PRINT_IMAGE(7, 15, 125, 32, "<img border='0' src='https://img.loda.cc/upload/package/log.bmp'>");
            LODOP.SET_PRINT_STYLEA(0, "Stretch", 1);
            LODOP.SET_PRINTER_INDEXA("outPrinterGK888t");
            LODOP.PRINT();
            //LODOP.PRINT();
        };
        function CreateDeliveryByCustomer(order_no, name, mobile, address, qcaddress, code, box) {

            LODOP = getLodop(document.getElementById('LODOP'), document.getElementById('LODOP_EM'));
            LODOP.PRINT_INITA("打印发货信息");

            LODOP.ADD_PRINT_SETUP_BKIMG("<img border='0' src='https://img.loda.cc/upload/package/log.png'>");
            LODOP.SET_SHOW_MODE("BKIMG_LEFT", 8);
            LODOP.SET_SHOW_MODE("BKIMG_TOP", 8);
            LODOP.SET_SHOW_MODE("BKIMG_PRINT", true);
            LODOP.ADD_PRINT_TEXT(83, 81, 173, 19, mobile);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 13);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(102, 9, 250, 46, "Address：" + address);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.ADD_PRINT_TEXT(59, 75, 177, 25, name);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 13);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(156, 124, 129, 34, qcaddress);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 14);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(63, 13, 68, 20, "Receiver：");
            LODOP.ADD_PRINT_TEXT(83, 12, 72, 20, "Mobile：");
            LODOP.ADD_PRINT_BARCODE(11, 157, 139, 45, "128Auto", order_no);
            LODOP.ADD_PRINT_TEXT(54, 7, 248, 9, "---------------------------------------------");
            LODOP.ADD_PRINT_TEXT(149, 8, 254, 9, "---------------------------------------------");
            LODOP.ADD_PRINT_LINE(57, 142, 13, 143, 0, 1);
            LODOP.ADD_PRINT_LINE(155, 118, 188, 119, 0, 1);
            LODOP.ADD_PRINT_TEXT(155, 17, 100, 20, code);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.ADD_PRINT_TEXT(170, 16, 101, 20, box);
            LODOP.SET_PRINT_STYLEA(0, "FontSize", 10);
            LODOP.SET_PRINT_STYLEA(0, "Alignment", 2);
            LODOP.SET_PRINT_STYLEA(0, "Bold", 1);
            LODOP.SET_PRINTER_INDEXA("outPrinterGK888t");
            //LODOP.PRINT_DESIGN();
            LODOP.PRINT();
        };
    </script>
</asp:Content>